Bug 427027 - Review Request: PySBIG - PySBIG can read SBIG CCD files
Summary: Review Request: PySBIG - PySBIG can read SBIG CCD files
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-30 11:37 UTC by Marek Mahut
Modified: 2009-01-07 18:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-18 17:00:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Marek Mahut 2007-12-30 11:37:04 UTC
Spec URL: http://mmahut.fedorapeople.org/reviews/PySBIG/PySBIG.spec
SRPM URL: http://mmahut.fedorapeople.org/reviews/PySBIG/PySBIG-0.04-1.fc8.src.rpm
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=315293
Description: PySBIG can read SBIG CCD files and give you a Numeric array
for the data and a dictionary for the headers. There is cPySBIG
(since version 0.02) which is 40 times faster than the pure PySBIG module,
also included. Version 0.03 now works with numpy instead of Numeric.

Does not build on F-8, as we did not respected eggs, this can be ignore, I plan to maintain this for only F-9.

Comment 1 Jan ONDREJ 2007-12-30 12:19:22 UTC
Just add conditional build for F<9:

http://www.salstar.sk/pub/fedora/SPECS/PySBIG.spec

Comment 2 Lubomir Kundrak 2007-12-30 12:42:45 UTC
Needs Work:

PySBIG.x86_64: E: non-standard-executable-perm
/usr/lib64/python2.5/site-packages/PySBIGuncompress.so 0775

Why is this one group-writable?

Comment 3 Marek Mahut 2007-12-30 20:36:08 UTC
Lubomir, this is strage. It's not my case,

 [mmahut@mmahut pysbig]$ rpmlint
/home/mmahut/build/tree/SRPMS/PySBIG-0.04-2.fc8.src.rpm
 [mmahut@mmahut pysbig]$ rpmlint
/home/mmahut/build/tree/RPMS/i386/PySBIG-0.04-2.fc8.i386.rpm
 [mmahut@mmahut pysbig]$ rpmlint
/home/mmahut/build/tree/RPMS/i386/PySBIG-debuginfo-0.04-2.fc8.i386.rpm
 [mmahut@mmahut pysbig]$ ll /usr/lib/python2.5/site-packages/PySBIGuncompress.so
 -rwxr-xr-x 1 root root 3876 2007-12-30 21:29
/usr/lib/python2.5/site-packages/PySBIGuncompress.so
 [mmahut@mmahut pysbig]$

Spec file updated to support F-8 as well.

   http://mmahut.fedorapeople.org/reviews/PySBIG/PySBIG-0.04-2.fc8.src.rpm


Comment 4 Lubomir Kundrak 2008-02-08 11:22:40 UTC
Some IRC discussion concluded that something weird happening in my mock, that
doesn't happen on koji builders, thus the above is not a blocker.

APPROVED

Comment 5 Lubomir Kundrak 2008-02-08 17:41:01 UTC
Note the issue in comment #2 is bug #432062

Comment 6 Marek Mahut 2008-02-10 18:22:35 UTC
New Package CVS Request
=======================
Package Name: PySBIG
Short Description: PySBIG can read SBIG CCD files
Owners: mmahut
Branches: F-8
Cvsextras Commits: yes

Comment 7 Kevin Fenzi 2008-02-10 20:23:48 UTC
The short description here isn't very descriptive... 
Perhaps consider changing it to "python support for reading SBIG CCD files" or
something?

cvs done.

Comment 8 Marek Mahut 2008-02-18 17:00:06 UTC
Kevin, true, I think your proposition is ok. Can you change it please?

Thank you Lubomir for the review!

Comment 9 Kevin Fenzi 2008-02-18 17:50:17 UTC
Done.


Note You need to log in before you can comment on or make changes to this bug.